
package de.ivu.elect.presentation.ergebnis.menu;

import java.util.Collection;

import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.NlWasModelN10BulkExporter;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.presentation.ergebnis.exchange.NlWasModelN10BulkExportDescription;

public class NlWasModelN10BulkExportMenuItemEntry extends AbstractNlWasErgebnisArtefaktNachGebietErgebniseingabestatusBulkExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlWasModelN10BulkExportDescription nlWasModelN10BulkExportDescription;

  public NlWasModelN10BulkExportMenuItemEntry() {
    super();
  }

  @Override
  protected Collection<Ergebniseingabestatus> getGebietErgebniseingabestatus() {
    return NlWasModelN10BulkExporter.EXPORT_ERGEBNISEINGABESTATUS;
  }

  @Override
  protected NlWasModelN10BulkExportDescription getExportDescription() {
    return nlWasModelN10BulkExportDescription;
  }
}
